收藏
回答

微信开发工具构建npm错误,请网友支招

问题模块 框架类型 问题类型 操作系统 工具版本
开发者工具 小程序 Bug Windows 1.03.1812180 beta版

我在点击构建npm的时候,发生以下错误。请网友支招

发生错误
SyntaxError: Invalid number (166:15)SyntaxError: Invalid number (166:15)
at Parser.pp$4.raise (C:\Users\Administrator\AppData\Roaming\Tencent\微信开发者工具 Beta\package.nw\node_modules\acorn\dist\acorn.js:2769:13)
at Parser.pp$8.readNumber (C:\Users\Administrator\AppData\Roaming\Tencent\微信开发者工具 Beta\package.nw\node_modules\acorn\dist\acorn.js:4997:36)
at Parser.pp$8.getTokenFromCode (C:\Users\Administrator\AppData\Roaming\Tencent\微信开发者工具 Beta\package.nw\node_modules\acorn\dist\acorn.js:4875:17)
at Parser.pp$8.readToken (C:\Users\Administrator\AppData\Roaming\Tencent\微信开发者工具 Beta\package.nw\node_modules\acorn\dist\acorn.js:4633:15)
at Parser.pp$8.nextToken (C:\Users\Administrator\AppData\Roaming\Tencent\微信开发者工具 Beta\package.nw\node_modules\acorn\dist\acorn.js:4624:15)
at Parser.pp$8.next (C:\Users\Administrator\AppData\Roaming\Tencent\微信开发者工具 Beta\package.nw\node_modules\acorn\dist\acorn.js:4581:8)
at Parser.pp.eat (C:\Users\Administrator\AppData\Roaming\Tencent\微信开发者工具 Beta\package.nw\node_modules\acorn\dist\acorn.js:610:10)
at Parser.pp.expect (C:\Users\Administrator\AppData\Roaming\Tencent\微信开发者工具 Beta\package.nw\node_modules\acorn\dist\acorn.js:674:8)
at Parser.pp$3.parseExprList (C:\Users\Administrator\AppData\Roaming\Tencent\微信开发者工具 Beta\package.nw\node_modules\acorn\dist\acorn.js:2663:14)
at Parser.pp$3.parseSubscripts (C:\Users\Administrator\AppData\Roaming\Tencent\微信开发者工具 Beta\package.nw\node_modules\acorn\dist\acorn.js:2102:29)


版本:1.03.1812180 npm版本:6.1.0

windows 10


package.json

(从npm根目录拷贝过来)


最后一次编辑于  2018-12-24  (未经腾讯允许,不得转载)
回答关注问题邀请回答
收藏